var promocionesService = function($filter, $http, $q) {
	return {
		obtenerPromociones: function() {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/obtenerPromociones.action'
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});

			return defered.promise;
		},
		obtenerPromocionesVigentes: function() {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/obtenerPromocionesVigentes.action'
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});

			return defered.promise;
		},
		eliminaPromocion: function(id_promocion) {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/eliminaPromocion.action',
				data: { "id_promocion": id_promocion }
			}).then(function mySucces(response) {

				defered.resolve(response.data);

			}, function myError(response) {

			});

			return defered.promise;
		},
		eliminaTitulosPromocion: function(id_promocion) {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/eliminaTitulosPromocion.action',
				data: { "id_promocion": id_promocion }
			}).then(function mySucces(response) {

				defered.resolve(response.data);

			}, function myError(response) {

			});

			return defered.promise;
		},
		obtenerEstudios: function() {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/obtenerEstudios.action'
			}).then(function mySucces(response) {

				defered.resolve(response.data);

			}, function myError(response) {
			});

			return defered.promise;
		},
		obtenerPaises: function() {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/obtenerPaises.action'
			}).then(function mySucces(response) {

				defered.resolve(response.data);

			}, function myError(response) {
			});

			return defered.promise;
		},
		obtenerTitulos: function(id_pais, id_estudio) {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/obtenerTitulos.action',
				data: { "id_pais": id_pais, "id_estudio": id_estudio }
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			}, function myError(response) {
			});

			return defered.promise;
		},
		obtenerTitulosTodos: function(id_estudio) {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/obtenerTitulosTodos.action',
				data: { "id_estudio": id_estudio }
			}).then(function mySucces(response) {

				defered.resolve(response.data);

			}, function myError(response) {
			});

			return defered.promise;
		},
		crearPromocion: function(id_estudio, id_pais, nombre_promocion, fecha_inicio, fecha_fin, tipo_descuento, descuento) {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/creaPromocion.action',
				data: { "id_estudio": id_estudio, "id_pais": id_pais, "nombre_promocion": nombre_promocion, "fecha_inicio": fecha_inicio, "fecha_fin": fecha_fin, "tipo_descuento": tipo_descuento, "descuento": descuento }
			}).then(function mySucces(response) {

				defered.resolve(response.data);

			}, function myError(response) {
			});

			return defered.promise;
		},
		actualizaPromocion: function(id_promocion, id_pais, nombre_promocion, fecha_inicio, fecha_fin, tipo_descuento, descuento) {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/actualizaPromocion.action',
				data: { "id_promocion": id_promocion, "id_pais": id_pais, "nombre_promocion": nombre_promocion, "fecha_inicio": fecha_inicio, "fecha_fin": fecha_fin, "tipo_descuento": tipo_descuento, "descuento": descuento }
			}).then(function mySucces(response) {

				defered.resolve(response.data);

			}, function myError(response) {
			});

			return defered.promise;
		},
		obtenerPromocionTitulos: function(id_promocion) {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/obtenerPromocionTitulos.action',
				data: { "id_promocion": id_promocion }
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			}, function myError(response) {
			});

			return defered.promise;
		},
		registraPromocionTitulos: function(id_promocion, id_bv) {
			var defered = $q.defer();

			$http({
				method: "POST",
				url: contextPath + '/contrato/promociones/registraPromocionTitulos.action',
				data: { "id_promocion": id_promocion, "id_bv": id_bv }
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			}, function myError(response) {
			});

			return defered.promise;
		}


	};
};

registraService("promocionesService", promocionesService);